Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class SecurityConstraintImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.SecurityConstraintImpl

All Implemented Interfaces:
  java.io.Serializable

    public class SecurityConstraintImpl

extends java.lang.Object
implements java.io.Serializable

Data structure to support WebApplicationDefinition for marshalling and unmarshalling of web.xml. Not needed by the Pluto container.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private AuthConstraintImpl` | `authConstraint`
`private org.apache.pluto.om.common.DisplayNameSet` | `displayNames`
`private UserDataConstraintImpl` | `userDataConstraint`
`private WebResourceCollectionImpl[]` | `webResourceCollections`

Constructor Summary
`SecurityConstraintImpl()`

Method Summary
`AuthConstraintImpl` | `getAuthConstraint()`
`org.apache.pluto.om.common.DisplayNameSet` | `getDisplayNames()`
`UserDataConstraintImpl` | `getUserDataConstraint()`
`WebResourceCollectionImpl[]` | `getWebResourceCollections()`
`void` | `setAuthConstraint(AuthConstraintImpl authConstraint)`
`void` | `setDisplayNames(org.apache.pluto.om.common.DisplayNameSet displayNames)`
`void` | `setUserDataConstraint(UserDataConstraintImpl userDataConstraint)`
`void` | `setWebResourceCollections(WebResourceCollectionImpl[] webResourceCollections)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### displayNames

    private org.apache.pluto.om.common.DisplayNameSet displayNames

### webResourceCollections

    private WebResourceCollectionImpl[] webResourceCollections

### authConstraint

    private AuthConstraintImpl authConstraint

### userDataConstraint

    private UserDataConstraintImpl userDataConstraint

Constructor Detail

### SecurityConstraintImpl

    public SecurityConstraintImpl()

Method Detail

### getAuthConstraint

    public AuthConstraintImpl getAuthConstraint()

### getDisplayNames

    public org.apache.pluto.om.common.DisplayNameSet getDisplayNames()

### getUserDataConstraint

    public UserDataConstraintImpl getUserDataConstraint()

### getWebResourceCollections

    public WebResourceCollectionImpl[] getWebResourceCollections()

### setAuthConstraint

    public void setAuthConstraint(AuthConstraintImpl authConstraint)

### setDisplayNames

    public void setDisplayNames(org.apache.pluto.om.common.DisplayNameSet displayNames)

### setUserDataConstraint

    public void setUserDataConstraint(UserDataConstraintImpl userDataConstraint)

### setWebResourceCollections

    public void setWebResourceCollections(WebResourceCollectionImpl[] webResourceCollections)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD